<< chirp | FOSSEE_Signal_Processing_Toolbox | clustersegment >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > circshift

# circshift

Perform a circular shift on an array.

### Syntax

    R = circshift(M, d)

### Parameters

M:

  Array. Input vector or matrix of any data type.

d:

  Vector of integers. Specifies the number of positions to shift along each dimension.

R:

  Array. Resulting array after the circular shift.

### Description

This function circularly shifts the elements of the input array `M` by the specified positions `d` along each dimension.

### Examples

    M = [1, 2, 3, 4]
    circshift(M, [0, 1])

Report an issue
<< chirp | FOSSEE_Signal_Processing_Toolbox | clustersegment >>